<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\ApresultsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\ApresultsTable Test Case
 */
class ApresultsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\ApresultsTable
     */
    public $Apresults;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.apresults'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('Apresults') ? [] : ['className' => 'App\Model\Table\ApresultsTable'];
        $this->Apresults = TableRegistry::get('Apresults', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->Apresults);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
